org.apache.storm.hive.security

## Class AutoHive

- java.lang.Object
- - org.apache.storm.common.AbstractHadoopAutoCreds
  - - org.apache.storm.hive.security.AutoHive

- All Implemented Interfaces:
    CredentialKeyProvider, IAutoCredentials

      public class AutoHive
      extends AbstractHadoopAutoCreds

  Auto credentials plugin for Hive implementation. This class provides a way to automatically push credentials to a topology and to retrieve them in the worker.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoHive()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doPrepare(Map<String,Object> conf)` Prepare the plugin.
    `protected String` | `getConfigKeyString()` The lookup key for the config key string.
    `String` | `getCredentialKey(String configKey)` The lookup key for the config key string.

    - ### Methods inherited from class org.apache.storm.common.AbstractHadoopAutoCreds

      `getCredentials, populateCredentials, populateSubject, prepare, updateSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoHive

          public AutoHive()

  - ### Method Detail

    - #### doPrepare

          public void doPrepare(Map<String,Object> conf)

      Description copied from class: `AbstractHadoopAutoCreds`

      Prepare the plugin.

      Specified by:
        `doPrepare` in class `AbstractHadoopAutoCreds`
      Parameters:
        `conf` - the topology conf

    - #### getConfigKeyString

          protected String getConfigKeyString()

      Description copied from class: `AbstractHadoopAutoCreds`

      The lookup key for the config key string.

      Specified by:
        `getConfigKeyString` in class `AbstractHadoopAutoCreds`
      Returns:
        the config key string

    - #### getCredentialKey

          public String getCredentialKey(String configKey)

      Description copied from interface: `CredentialKeyProvider`

      The lookup key for the config key string.

      Returns:
        the config key string

Copyright © 2021 The Apache Software Foundation. All rights reserved.